package net.sf.jasperreports.engine.fill;

public class JRDistinctCountExtendedIncrementerFactory extends JRAbstractExtendedIncrementerFactory {
  private static JRDistinctCountExtendedIncrementerFactory mainInstance = new JRDistinctCountExtendedIncrementerFactory();
  
  public static JRDistinctCountExtendedIncrementerFactory getInstance() {
    return mainInstance;
  }
  
  public JRExtendedIncrementer getExtendedIncrementer(byte calculation) {
    return new JRDistinctCountExtendedIncrementer();
  }
  
  public static JRExtendedIncrementerFactory getFactory(Class valueClass) {
    return getInstance();
  }
}
